- name: Install nftables
  package:
    name: nftables
    state: present
- name: Enable nftables
  systemd:
    name: nftables.service
    enabled: yes
    masked: no
- name: Set nftables config
  copy:
    src: "{{ role_path }}/files/nftables.conf"
    dest: /etc/nftables.conf
    mode: u=rwx,g=rx,o=rx
  notify: Reload nftables
- name: Create nftables config directory
  file:
    path: /etc/nftables.d
    state: directory
    mode: u=rwx,g=rx,o=rx

- name: Set basic firewall rules
  template:
    src: "{{ role_path }}/files/00-basic-firewall.nft"
    dest: /etc/nftables.d/00-basic-firewall.nft
    mode: u=rwx,g=rx,o=rx
  notify: Reload nftables
- name: Set firewall whitelist
  template:
    src: "{{ role_path }}/files/10-whitelist.nft"
    dest: /etc/nftables.d/10-whitelist.nft
    mode: u=rwx,g=rx,o=rx
  notify: Reload nftables
